import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const approvalUserList = declareRequest(
  "approvalUserLoading",
  `Post > @/primeport/mkmjApprovalUser/list`,
);
export const approvalUserListAll = declareRequest(
  "approvalUserLoading",
  `Get > /primeport/mkmjApprovalUser/listAll`,
);
export const approvalUserDelete = declareRequest(
  "approvalUserLoading",
  `Delete > @/primeport/mkmjApprovalUser/{id}`,
);
export const approvalUserInfo = declareRequest(
  "approvalUserLoading",
  `Get > /primeport/mkmjApprovalUser/{id}`,
);
export const approvalUserUpdate = declareRequest(
  "approvalUserLoading",
  `Put > @/primeport/mkmjApprovalUser/edit`,
);
export const approvalUserAdd = declareRequest(
  "approvalUserLoading",
  `Post > @/primeport/mkmjApprovalUser/save`,
);

export const checkExistByUserId = declareRequest(
  "approvalUserLoading",
  `Get > /primeport/mkmjApprovalUser/checkExistByUserId/{userId}`,
);
